/**
 * Calls the content script
 */
function emit(tab){
	browser.tabs.sendMessage(tab.id, {'type': 'toggle', 'id': tab.id});
}

/**
 * Sends an export message to the browser
 * @param tab
 */
function sendExportMessage(tab){
	browser.tabs.sendMessage(tab.id, {'type': 'export'});
}

/**
 * Listening for click on icon
 */
browser.browserAction.onClicked.addListener(emit);

/**
 * Adding contextual item
 */
browser.contextMenus.create({
	id: "inari-express-export-to-json",
	title: "Inari - exporter",
	contexts: ["all"]
});

/**
 * Listening for contextual menu clicks
 */
browser.contextMenus.onClicked.addListener(function(info, tab) {
	switch (info.menuItemId) {
		case "inari-express-export-to-json":
			sendExportMessage(tab);
			break
	}
});

/**
 * Changes addon's icon
 */
browser.runtime.onMessage.addListener(function(data){
	browser.browserAction.setIcon({tabId: data.id, path: data.path});
});