import csv
import sys
from collections import OrderedDict

import matplotlib.pyplot as plt
import numpy as np
import datetime

if __name__ == '__main__':

	plt.xlabel("Temps [s]")
	plt.ylabel("Documents téléchargés [0-4092]")
	plt.gcf().subplots_adjust(bottom=0.15)

	args = sys.argv
	args.pop(0)

	plt.title(input("Titre ? "))
	for arg in args:
		with open(arg) as csvfile:
			reader = csv.reader(csvfile)  # change contents to floats
			next(reader)  # Skipping headers

			startTime = None
			stopTime = None
			results = {}
			totalDownloaded = 0
			times = []

			for row in reader:  # each row is a list
				# Parsing results
				if not startTime:
					startTime = int(datetime.datetime.strptime(row[5], '%Y-%m-%d %H:%M:%S').timestamp())

				localStopTime = int(datetime.datetime.strptime(row[6], '%Y-%m-%d %H:%M:%S').timestamp())
				if not stopTime or stopTime < localStopTime:
					stopTime = localStopTime

				# Scoring
				times.append(localStopTime - startTime)
			result = {}
			for k in list(set(sorted(times))):
				result[k] = sorted(times).count(k)

			tTotal = 0
			for seconds, number in result.items():  # Converting into cumulative list
				results[seconds] = result[seconds] + tTotal
				tTotal = results[seconds]

		lists = sorted(results.items())
		x, y = zip(*lists)
		plt.plot(x, sorted(y), label=input("Titre pour données {} ? ".format(arg)))

	plt.legend()
	plt.savefig("output.pdf")
