import json

from loguru import logger

import zmq


# This class allows for interprocess and intermachine discussion (1-N)
# Keine Grenzen, keine Zäune ! https://www.youtube.com/watch?v=z0NfI2NeDHI
class Radio:
	context: zmq.Context = None
	socket: zmq.Socket = None
	to: str = None
	port: int = None

	def __init__(self, to: str, port: int, isSUB: bool):
		self.context = zmq.Context()
		self.to = to
		self.port = port
		# noinspection PyUnresolvedReferences
		# zmq.REQ is defined at runtime, PyLint is therefore screaming. Disabled with the comment above
		self.socket = self.context.socket(zmq.SUB if isSUB else zmq.PUB)
		if isSUB:
			self.socket.connect("tcp://{0}:{1}".format(to, port))
		else:
			self.socket.bind("tcp://{0}:{1}".format(to, port))

	def talk(self, topic, what):
		logger.debug("Sending message to everyone...")

		self.socket.send_string(topic + " " + json.dumps(what))
		logger.debug("Message sent.")

	def subscribe(self, topic):
		self.socket.subscribe(topic)

	def listen(self):
		logger.debug("Waiting for message...")
		message = self.socket.recv_string().split(" ", 1)

		logger.debug("Message received")

		return json.loads(message[1])
