import os
import random
import sys
import threading
from concurrent.futures.thread import ThreadPoolExecutor

import requests

from os import getenv as env
from urllib.parse import urlparse
from loguru import logger

from common.tasks.Runnable import Runnable


class DownloadFilesFromBrowser(Runnable):
	cookies = None

	# Download a file
	def __download__(self, file):
		logger.info("Downloading file {}...".format(file))
		filename = os.path.basename(urlparse(file).path)
		r = requests.get(file, stream=True, cookies=self.cookies)
		with open(env("FILE_LOCKER") + filename + "-" + str(random.randint(0, sys.maxsize)), 'wb') as fd:
			for chunk in r.iter_content(2048):
				fd.write(chunk)

	def run(self, parameters: dict) -> dict:
		files = parameters['files']
		browser = parameters['selenium_instance']  # Not used currently
		self.cookies = {c['name']: c['value'] for c in browser.get_cookies()}

		with ThreadPoolExecutor(int(parameters['throttle'])) as lifeTree:
			lifeTree.map(self.__download__, files)

		return {"instance": browser}  # For continuity purposes
