from selenium.webdriver.support.wait import WebDriverWait
from selenium.webdriver.support import expected_conditions as EC

from common.tasks.Runnable import Runnable


class WaitForURL(Runnable):
	def run(self, parameters: dict) -> dict:
		instance = parameters['selenium_instance']
		url = parameters['URL']

		if instance.current_url != url:
			WebDriverWait(instance, 15).until(EC.url_to_be(url))

		return {'instance': instance}
