import os

import numpy as np
from os import getenv as env

from common.tasks.Runnable import Runnable


class ExportValuesToCSV(Runnable):
	def run(self, parameters: dict) -> dict:
		filename = env('FILE_LOCKER') + parameters['filename']
		data = parameters['values']
		shouldDeleteOldFile = parameters['shouldDelete']

		dest = filename.replace(".xlsx", ".csv")

		# noinspection PyTypeChecker
		np.savetxt(dest, data, delimiter=';', fmt='%s')

		if shouldDeleteOldFile:
			os.remove(filename)

		return {"dest": dest}
