import os.path
import re
from collections import OrderedDict
from os import path

import numpy as np
from loguru import logger
import pandas as p
from pandas import DataFrame
from os import getenv as env

from common.tasks.Runnable import Runnable


class ExtractXLSXValues(Runnable):
	def run(self, parameters: dict) -> dict:
		x_0 = parameters['x_0']
		x_1 = parameters['x_1']
		y_0 = parameters['y_0']
		y_1 = parameters['y_1']
		file = env("FILE_LOCKER") + parameters['filename']

		data = p.read_excel(file, sheet_name=0, usecols="{}:{}".format(y_0, y_1))

		logger.debug("Removing NaN values...")
		data = data.fillna("")

		logger.info("Splicing data vertically from {} to {}".format(x_0, x_1))
		data = data.values[int(x_0):int(x_1)]

		return {'values': data}
