import json

import falcon

from common.networking.intercom import Intercom
from os import getenv as env


class FileAPI(object):
	def on_get(self, req, resp):
		"""Handles GET requests"""
		if "ip" not in req.params:
			resp.status = falcon.HTTP_422
			resp.body = {"status": "ERROR", "message": "Missing playbook."}
		else:
			intercom = Intercom(req.params['ip'], int(env("CLIENT_PORT")), True)
			intercom.talk({"type": "statrep"})

			try:
				resp.body = {"status": True, "result": intercom.listen(750)}
			except Exception as e:
				resp.body = {"status": False, "exception": str(e)}

		resp.body = json.dumps(resp.body)
