import yaml
from loguru import logger

from common.utils.Task import fromYAML
from server.utils.Exceptions import *


class YAMLParser:
	file = None

	def __init__(self, content):
		self.file = yaml.load(content.decode('utf-8'), Loader=yaml.FullLoader)

	# Parses a file to be in the right format
	def parse(self):
		if "actions" not in self.file:
			logger.error("Missing actions. Cannot continue.")
			raise MissingYAMLActions("Missing actions. Cannot continue.")

		args, clientTasks = self.__parseTasks__()
		return args, clientTasks

	# Parses the task to be real tasks (Task class)
	def __parseTasks__(self):
		arguments = []
		clientTasks = []

		for taskGroup in self.file['actions']:
			clientTaskGroup = []

			# Iterating on YAML Task group
			for key, task in taskGroup.items():
				task = fromYAML(key, task)

				if task.isArgument:
					arguments.append(task)
				clientTaskGroup.append(task)

			# Adding new group to respective groups
			if len(clientTaskGroup) > 0:
				clientTasks.append(clientTaskGroup)

		# All good
		return arguments, clientTasks
