<?php

namespace App\Console\Commands;

use App\Models\Job;
use Illuminate\Console\Command;

class CleanOldJobs extends Command {
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'jobs:clean';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Cleans succeeded jobs older than 1 hour for all clients';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct() {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle() {
        Job::where('created_at', '<', now()->subHour())->delete();
    }
}
