<?php

namespace App\Console\Commands;

use App\Jobs\ThrottleFaultClients;
use App\Models\Client;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\Http;

class TriggerClientCheck extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'client:check';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Checks the clients against potential crashes';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle() {
        foreach (Client::all() as $client){
            $clientJobsFailedCount = $client->jobs()
                ->where('created_at', '>=', now()->subMinutes(10))
                ->whereStatus(1)
                ->count();

            if ($clientJobsFailedCount >= 5){
                Http::get("http://127.0.0.1:8080/throttle", ['client' => $client->ip]);
            }
        }
    }
}
