<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use App\Http\Requests\ClientRequest;
use App\Models\Client;
use Illuminate\Http\Request;

class ClientController extends Controller {
    /**
     * Display a listing of the resource.
     *
     * @return Client[]|\Illuminate\Database\Eloquent\Collection
     */
    public function index(){
        return Client::all();
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param ClientRequest $request
     * @return void
     */
    public function store(ClientRequest $request) {
        Client::create(['ip' => $request->ip]);
    }

    /**
     * @param Client $client
     * @return mixed
     */
    public function show(Client $client){
        return ['ip' => $client->ip, 'parameters' => $client->jobs()->select('jobs.id', 'jobs.data')
            ->get()];
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param \App\Models\Client $client
     * @return void
     * @throws \Exception
     */
    public function destroy(Client $client) {
        $client->delete();
    }
}
