<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use App\Http\Requests\ModuleRequest;
use App\Http\Requests\ModuleSearchRequest;
use App\Models\Module;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Storage;
use PhpParser\Node\Expr\AssignOp\Mod;

class ModuleController extends Controller {

    public function __construct(){
        $this->middleware('auth:api');
    }

    public function index(){
        return Auth::user()->modules;
    }

    /**
     * Searches for modules in the database.
     * @param ModuleSearchRequest $request
     * @return mixed
     */
    public function search(ModuleSearchRequest $request){
        return Module::where('name', 'LIKE', '%'.$request->q.'%')
            ->orWhere('description', 'LIKE', '%'.$request->q.'%')
            ->get();
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param ModuleRequest $request
     * @return void
     */
    public function store(ModuleRequest $request){
        $module = Module::create([
            'user_id' => $request->user()->id, 'name' => $request->name, 'description' => $request->description,
            'arguments' => $request->arguments
        ]);
    }
}
