<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use App\Http\Requests\WorkflowModuleRequest;
use App\Models\Module;
use App\Models\Workflow;
use App\Models\WorkflowModule;
use Illuminate\Http\Request;
use Illuminate\Support\Collection;

class WorkflowModuleController extends Controller {

    public function __construct(){
        $this->middleware('auth:api');
    }

    /**
     * Display a listing of the resource.
     *
     * @param Workflow $workflow
     * @return Collection
     */
    public function index(Workflow $workflow){
        return $workflow->modules;
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param Workflow $workflow
     * @param WorkflowModuleRequest $request
     * @return void
     */
    public function store(Workflow $workflow, WorkflowModuleRequest $request){
        $workflow->modules()->attach($request->module_id, ['uuid' => $request->uuid]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Module  $module
     * @return \Illuminate\Http\Response
     */
    public function update(Workflow $workflow, Request $request, Module $module){
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param Workflow $workflow
     * @param $uuid string The module UUID
     * @return void
     */
    public function destroy(Workflow $workflow, $uuid){
        WorkflowModule::whereUuid($uuid)->delete();
    }
}
