<?php

namespace App\Http\Controllers;

use App\Models\Job;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class ProgressController extends Controller {
    public function index(){
        $data = DB::select('SELECT status, COUNT(status) as cnt FROM jobs GROUP BY status');
        $count = Job::where('updated_at', '>=', now()->subMinute())->whereStatus(2)->count();
        if (collect($data)->isNotEmpty()){

            if (collect($data)->count() != 3){
                return abort(418, "Nous sommes en attente des workers. Revenez plus tard.");
            }
            $data[0]->status = "En attente";
            $data[1]->status = "échoués";
            $data[2]->status = "terminés";
        } else {
            $data = false;
        }


        return view('pages.progress.index', ['data' => $data, 'count' => $count]);
    }
}
