<?php

namespace App\Http\Controllers;

use App\Models\Module;
use Illuminate\Http\Request;

class SetupController extends Controller {
    public function __construct(){
        $this->middleware('auth');
    }

    /**
     * Shows the install wizard
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function show(){
        return view('pages.setup.setup');
    }

    /**
     * Does the install
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Http\RedirectResponse|\Illuminate\Routing\Redirector
     */
    public function doSetup(){
        // Basic life function modules
        $numberID = Module::create(['user_id' => 0, 'name' => 'Nombre', 'description' => '', 'arguments' => [
            'in_args' => [], 'out_args' => ['output' => 'number'], 'params' => ['Valeur' => 'number']
        ]]);
        $textID = Module::create(['user_id' => 0, 'name' => 'Texte', 'description' => '', 'arguments' => [
            'in_args' => [], 'out_args' => ['output' => 'string'], 'params' => ['Valeur' => 'string']
        ]]);
        $boolID = Module::create(['user_id' => 0, 'name' => 'Booléenne', 'description' => '', 'arguments' => [
            'in_args' => [], 'out_args' => ['output' => 'boolean'], 'params' => ['Valeur' => 'boolean']
        ]]);

        return redirect(route('home'));
    }
}
