<?php

namespace App;

use App\Models\Build;
use App\Models\Click;
use App\Models\Module;
use App\Models\Workflow;
use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use Notifiable, \Laravel\Passport\HasApiTokens;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    public function modules(){
        return $this->hasMany(Module::class);
    }

    public function workflows(){
        return $this->hasMany(Workflow::class);
    }

    public function builds(){
        return $this->hasMany(Build::class);
    }

    public function clicks(){
        return $this->hasMany(Click::class);
    }
}
