<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();

Route::get("/setup", 'SetupController@show')->name('setup.show');
Route::post("/setup", 'SetupController@doSetup')->name('setup.do');

Route::get('/', 'HomeController@index')->name('home');

Route::get('/module', 'ModuleController@index')->name('module');

Route::get('/workflow', 'WorkflowController@index')->name('workflow');
Route::get('/workflow/{workflow}', 'WorkflowController@show')->name('workflow.show');

Route::get('/build', 'BuildController@index')->name('build');
Route::get('/build/{build}', 'BuildController@show')->name('build.show');

Route::get('/client/{client}', 'JobController@index')->name('job.index');
Route::get("/client/{client}/cleanAll", "JobController@cleanAll")->name('job.cleanAll');
Route::get("/client/{client}/cleanSucceeded", "JobController@cleanFinished")->name('job.cleanSucceeded');
Route::get("/client/{client}/cleanFailed", "JobController@cleanFailed")->name('job.cleanFailed');
Route::get("/client/{client}/resume", "JobController@resume")->name('job.resume');

Route::get('/client', 'ClientController@index')->name('client');

Route::get('/click', 'ClickController@index')->name('click');

Route::get('/progress', 'ProgressController@index');
