\pagenumbering{arabic}

# Introduction {-}

Obtenir des informations, que ce soit sur Internet ou dans la vie réelle, devient de plus en plus difficile au fil des années. Les initiatives de données ouvertes, permettant la récupération simple et rapide de données, ne sont pas nombreuses. Chacun choisit comment il distribue son information : par site web, chaque site web étant différent, parfois par mail, plus rarement par distribution physique. En outre, des informations parfois redondantes, incorrectes, redirigeant même sur des organismes ou des sites web n'existant plus. Rester à jour est un effort qui peut s'avérer titanesque.
L'homme étant enclin à faire des erreurs, une solution humaine ne convient pas sur le long terme : les données risquent d'être mal téléchargées. On peut se tourner vers l'informatique pour automatiser l'action répétitive qu'est de récupérer un document, mais il faut un système modulaire, capable de fonctionner sur n'importe quel site. Un intérêt scientifique et social est présent : d'une part, on peut mesurer l'efficacité d'un tel outil pour voir si oui ou non un tel logiciel peut accélérer la récupération de documents, et d'autre part, on peut trouver des applications pratiques où un individu a besoin de récupérer des informations en masse. De tels logiciels peuvent être utiles pour bien des professions, souvent en dehors de l'informatique : un système utilisable par des utilisateurs finaux serait un énorme plus dans un monde où bien des programmes sont inaccessibles au public du fait de leur complexité ([Matplotlib](https://matplotlib.org/), [Git](https://git-scm.com/), etc.)

L'objectif de ce travail est donc de proposer un logiciel, que l'on nommera Inari (en référence à la divinité japonaise des récoltes), étant capable de télécharger des données en masse, suffisamment flexible pour qu'il soit compatible avec la très grande majorité des sites web. Il devra proposer d'une façon ou l'autre un système suffisamment simple pour permettre à un utilisateur final de s'en servir. Pour faire un tel logiciel, il est nécessaire de s'inspirer des solutions existantes sur Internet aujourd'hui. Une fois ces dernières présentées, il sera question d'implémenter Inari en se basant sur la liste des technologies des autres logiciels. Une fois le logiciel conçu, il sera question de mesurer son efficacité et de la comparer avec d'autres logiciels du même genre.

Nous allons donc suivre le cheminement suivant : commencer par l'analyse des solutions actuelles en passant par les techniques employées, s'inspirer de ses dernières pour implémenter le logiciel dont la structure et le fonctionnement seront présentés; enfin, on mesurera l'efficacité d'Inari sur deux sites web bien différents, de façon à se donner une idée de sa performance. On la comparera avec celles théoriques d'un humain et celles d'autres logiciels, pour enfin conclure ce projet en tentant de déterminer si les objectifs que nous avons fixés sont remplis. L'intégralité du code, des mesures et des fichiers de configurations sont disponible sur le serveur git de l'HEPIA^.

[^0]: Disponible à l'adresse https://githepia.hesge.ch/theopirkl/bachelor-scrapper-058

\pagebreak