\pagenumbering{arabic}

# Introduction {-}

Obtenir des informations sur Internet devient de plus en plus difficile au fil des années. Rester à jour est un effort qui peut s'avérer titanesque. S'il est nécessaire de récupérer de nombreux documents, l'homme ne convient pas car il risque de commettre des erreurs en nommant mal un fichier, en le téléchargeant deux fois, ou en l'oubliant. Ces erreurs sont particulièrement visibles quand on cherche à télécharger un nombre important de données, sans oublier qu'il s'agit d'un travail peu gratifiant et très répétitif. En outre, il est difficile d'arrêter en cours de route une récupération massive de documents sans commettre d'erreur par la suite. Si par exemple les ingénieurs de Google devaient collecter les documents pour nourrir leur moteur de recherche, leur charge de travail serait très vite insurmontable et il serait alors probable que Google ne soit pas ce qu'elle est aujourd'hui. Enfin, la récupération de documents mobiliserait de nombreux employés, ce qui augmenterait les coûts pour l'entreprise.

L'informatique permet d'automatiser les actions répétitives. Cela permet d'accélérer le téléchargement de documents, en utilisant par exemple la parallélisation. Ce qu'apporterait aussi un logiciel est la capacité de fiabilité, c'est-à-dire d'être capable de reprendre le téléchargement des documents même après une panne ou après une pause ordonnée par l'utilisateur. Un tel logiciel se doit d'être capable de fonctionner sur n'importe quel site. Par exemple, il doit être en mesure de fonctionner sur un site proposant directement les documents aussi bien que sur un site demandant de remplir des formulaires, de résoudre un captcha[^1] et de convertir les documents en un format adéquat.

L'objectif de ce travail est de proposer un système nommé Inari satisfaisant ces critères. Il devra proposer un système simple pour qu'un utilisateur final puisse s'en servir. Ce travail se base sur le travail de semestre [@pirkl_inari_2019] ayant posé les bases d'une telle application. Un intérêt scientifique et social est présent : d'une part, on peut mesurer l'efficacité d'un tel outil pour voir si oui ou non une machine peut accélérer la récupération de documents ainsi que sa praticité, et d'autre part, on peut trouver des applications pratiques où un individu a besoin de récupérer des informations en masse. De tels logiciels peuvent être utiles pour bien des professions en dehors de l'informatique.

Pour atteindre l'objectif de ce travail, une étude des solutions existantes a été menée et un cahier des charges a été fixé, ce qui permet par la suite de poser l'architecture de ce projet. Une fois l'implémentation terminée, des mesures sur différents sites ont été effectuées. Cela a permis de déterminer la vitesse de traitement du logiciel ainsi que l'utilité d'un tel logiciel.

Ce travail a suivi le cheminement suivant : analyser les solutions actuelles en étudiant les techniques employées, s'inspirer de ces dernières pour implémenter le logiciel dont la structure et le fonctionnement seront présentés et enfin, mesurer l'efficacité d'Inari sur plusieurs sites différents, de façon à mesurer sa performance. La vitesse d'un humain et celles d'Inari ont été comparées. Pour conclure, le travail a été jugé selon le cahier des charges établi. L'intégralité du code, des mesures et des fichiers de configuration sont disponibles sur le serveur git de l'HEPIA[^0].

[^0]: Disponible à l'adresse \url{https://githepia.hesge.ch/theopirkl/bachelor-scrapper-058}
[^1]: Un système permettant de différencier une machine d'un humain en demandant par exemple de faire une addition ou lire du texte

\pagebreak