# Conclusion {-}

Le but de ce travail était de mettre en place une solution complète de scraping, suffisamment flexible pour qu'elle soit utilisable par tous et par toutes mais aussi utilisable sur théoriquement n'importe quel site. Pour reprendre le cahier des charges :

* **Distributivité** : L'infrastructure permet la distribution et l'équilibrage des tâches de chaque workflow.
* **Parallélisme** : Plusieurs couches de parallélisme sont implémentées et fonctionnelles dans l'architecture.
* **Simple d'utilisation** : Une interface utilisateur directement accessible via le navigateur est proposée. Rien n'est à installer et l'utilisateur n'a qu'à se servir de blocs de construction pour créer son workflow.
* **Robustesse** : Le logiciel résiste aux pannes de communication, aux erreurs d'exécution et aux erreurs de client.
* **Modulaire** : Le site fonctionne sur trois sites disparates.

Inari propose actuellement le téléchargement de documents de plusieurs sites; cette collection de sites peut être facilement étendue. Les résultats lors de la collecte présentés dans la section _mesures_ indiquent à quel point un tel logiciel est utile à la collecte de données puisque les mesures semblent indiquer que dans les pires situations, on va malgré tout trois fois plus vite qu'un être humain.

Le scraping est un sujet présentant bien des difficultés difficilement maîtrisables : la plupart des problèmes, tels que les ralentissements ou les changements d'apparence du site sont liés au prestataire de service. Ce sont des problèmes complexes mais atténuables en changeant par exemple les réglages des clients Inari.

Le travail semble répondre au problème initialement observé, de façon plus performante qu'un être humain. Il serait maintenant intéressant de le déployer dans une entreprise afin de voir la capacité d'Inari à être véritablement utilisée. Il serait aussi intéressant d'ajouter plusieurs outils au système, plus particulièrement l'ajout de détournement de captchas sans passer par une société tierce, ce qui permettrait de compléter la suite d'outils proposés. Une autre fonctionnalité intéressante à prévoir serait d'inclure un système de mesure détectant immédiatement les ralentissements du site sur lequel les documents sont téléchargés. Le système actuel ne détecte le ralentissement qu'à posteriori : le nouveau système permettrait de prévenir les ralentissements juste avant qu'ils arrivent.

\pagebreak