# Étude des approches actuelles

Il est aujourd'hui difficile de récupérer des documents en masse. Sans connaissances en informatique poussées, il est véritablement
complexe pour un utilisateur d'arriver à ses fins dans ce domaine. La Suisse a lancé il y a quelques années une initiative, [OpenData.swiss](https://opendata.swiss/fr/) qui en sont, comme d'autres initiatives comme WikiData, encore à l'étape de balbutiement et ne semblent pas connues du grand public.
\cimg{figs/data-never-sleeps.png}{scale=0.2}{Ce que produit Internet chaque minute (en 2017)}{Source : tiré de \url{https://www.domo.com/learn/data-never-sleeps-5}, ref. URL01}

Faciliter la récupération de données est particulièrement important; Forbes estimait en 2018 la création de 2'500'000 *terabytes*
de données par jour [@marr_how_nodate]. Cette quantité de données est affolante et il est très facile de se noyer dedans et de perdre de l'information.
Pour se donner une idée, l'entreprise Nandex affirme qu'un employé perd 2.5 heures par jour à chercher des documents [@noi_workers_nodate].
La récupération en masse de données est une solution permettant de diminuer la surface de recherche. En récupérant les documents en masse d'un site,
on élimine déjà une quantité de documents inutiles tout à fait considérable, ce qui permettrait de réduire ces deux heures et demi de perdues chaque jour.

On dénombre aujourd'hui plusieurs possibilités de récupérer une quantité importante de documents; il n'existe en outre aucun standard
pour ces besoins. Chaque site web, application ou service propose le téléchargement de documents d'une façon différente.

Commençons par étudier les solutions dédiées à la récupération en masse de documents. Nous les comparerons sous différentes facettes, puis analyserons les points communs entre ces façons de faire.
Afin d'éviter de se disperser, nous allons dans ce travail nous limiter uniquement et volontairement
aux sites web comme seule source d'information possible. Autrement dit, nous allons exclure par exemple la récupération de documents via une
application installée sur un poste.

## Étude et analyse

Certains fournisseurs de données (entreprises, entités étatiques, etc.) facilitent l'obtention des documents, par exemple à l'aide d'une (+API_a)[^2], d'une publication régulière sur des flux lisibles directement par un ordinateur[^3]; certains proposaient même il y a encore quelques années l'envoi de CDs par la poste pour récupérer leurs données, solution qui reste encore valable en Suisse puisque l'État de Genève propose encore la distribution de gros volumes de données par la poste [@noauthor_commande_nodate].
Les (+API_a)s restent de nos jours la meilleure méthode de récupération de données possible pour tout utilisateur capable de s'en servir. Elles donnent en effet la liberté à l'utilisateur de faire exactement ce qu'il souhaite. Ainsi, il est possible de récupérer des documents correspondant à certains critères sans
devoir télécharger l'entièreté du site, contrairement aux autres méthodes qui ne font "que" proposer un format de données déjà lisible
pour l'ordinateur.

Malheureusement, les (+API_a)s sont rares : beaucoup de sites n'en ont pas. Dans le cas où elles en proposent,
elles sont souvent payantes ou accessibles sur permission uniquement. Une (+API_a) représente dans la majorité des cas une fonctionnalité
supplémentaire au site, ce qui augmente les coûts d'exploitation pour le propriétaire du site.

Sans (+API_a), une seule source de données est accessible: le site web lui-même. Dans ce cas, la récupération de documents doit être faite soit
par un utilisateur de façon régulière, soit par une machine. C'est naturellement la seconde option que nous allons étudier ici.

Il y a un manque de logiciel de scraping (c'est-à-dire la récupération automatisée de documents) existant sur le marché aujourd'hui. C'est en effet un marché difficile, régulièrement décrié et attaqué des entreprises visées par le scraping. En outre, les scrapers ont la réputation d'être fragiles, cessant de fonctionner au moindre changement des sites scrapés. Très peu de solutions proposent donc de télécharger des documents
sur n'importe quel site et il y en a encore moins permettant de télécharger des documents en masse pour un site précis. Deux types de services
existent actuellement sur le marché : les solutions payantes en ligne, de type (+SAAS_a) et les solutions de type framework[^4]. Une dernière catégorie existe : nous allons maintenant les analyser les trois.

[^2]: Interface dans un logiciel ou un site permettant à des tierces parties d'interagir de façon contrôlée avec le service.
[^3]: (+RSS_a) est un exemple de flux lisibles par un ordinateur.
[^4]: Un framework est un ensemble de composants permettant de poser les fondations d'un logiciel de façon à ne pas tout programmer de zéro.

## Comparaison et résumé des approches existantes

Comme nous l'avons soulevé plus haut, il existe trois solutions dominantes sur le marché à l'heure actuelle. Nous allons maintenant les analyser
sous différents points de vue, afin de comprendre les différences de façon de plus profonde.

### Comparaison technique

Les _framework_ sont, de manière générale, offerts sans support et demandent des connaissances en informatique poussées. Ces derniers sont
proposés "en l'état", parfois mal documentés et ont chacun leur lot de complexité (complexité parfois même variable selon les
versions). Toutefois, une fois un framework maîtrisé, il est possible, du moment que le framework le supporte, de faire absolument ce que l'on veut. 
Les prérequis pour l'utilisation d'un framework sont donc la possession d'un ordinateur connecté à Internet et des connaissances en
programmation.

Les plateformes (+SAAS_a) possèdent les caractéristiques inverses. Elles sont payantes, possèdent un support et demandent moins de connaissances
en informatique. Certains services proposent un système "intelligent" capable de détecter précisément ce que souhaite obtenir un utilisateur sur
un site juste en surveillant ses clics. Contrairement aux frameworks, la prise en main d'un service en ligne est généralement plus rapide.
Toutefois, les (+SAAS_a) supportent un éventail de fonctionnalités bien défini, il est donc difficile d'obtenir des fonctionnalités supplémentaires. 
Les (+SAAS_a) étant pour la plupart situés sur Internet, il est encore nécessaire d'importer les données récupérées dans son réseau interne (fonctionnalité parfois soumise à des coûts supplémentaires).

Une troisième et dernière solution existe. Elle consiste à payer une tierce personne pour qu'elle récupère manuellement, toute la journée les documents que l'on souhaite récupérer. Cette solution est simple, car on s'adresse à un humain, ce qui permet d'expliciter plus facilement ce que l'on souhaite récupérer; un humain pourra qui plus est naviguer plus facilement sur Internet qu'une machine. Toutefois, cette méthode a de lourdes conséquences sur lesquels nous nous pencherons plus tard.

Dans les deux cas, il est nécessaire de prendre du temps pour comprendre comment le logiciel fonctionne. Une application payante a tendance à proposer des tutoriels et avoir une documentation interactive. Cela a comme effet de diminuer
la courbe d'apprentissage, mais aussi de réduire la fenêtre d'action possible. Un logiciel gratuit aura, quant à lui une courbe plus forte, mais ce dernier permettra de faire plus
une fois les difficultés passées. Un exemple intéressant pourrait être un site web complexe, possédant de nombreux menus fonctionnant quasi exclusivement avec du JavaScript. Il serait beaucoup plus facile de gérer cela complètement nous-mêmes que via des fonctionnalités prépensées.

Au vu de cette comparaison, il n'y a pas de meilleure solution entre les (+SAAS_a) et les framework. Les deux sont viables et utilisables, dépendamment de qui nous sommes et du site que nous essayons de traiter. Si toutefois les données que nous souhaitons récupérer sont hébergées sur un site complexe[^5], le framework s'impose comme la meilleure solution en termes de maniabilité, car elle offre une plus grande liberté d'action à l'utilisateur.

La troisième solution, celle de l'utilisation d'un tiers, est une solution particulière qui demande à être étudiée et comparée à part. C'est ce que nous allons étudier maintenant.

[^5]: Utilisant des technologies comme JavaScript, Flash, etc.

### Comparaison morale

L'informatique est un outil extrêmement polyvalent. Il y a un véritable intérêt de comprendre comment un logiciel fonctionne qui dépasse la compréhension du code : une bonne compréhension du code permet aussi d'analyser la moralité de ce dernier.
Il peut être facile d'ignorer cette facette, en se justifiant par l'argument que la moralité dans un logiciel de téléchargement de données en masse
importe peu. Le marché prouve le contraire; en guise d'exemple, Amazon propose _Mechanical Turk_, un service permettant à tous et à toutes de récupérer
des masses de documents en payant une autre personne pour le faire. Elle sera payée entre quatre et cinq dollars par jour [@semuels_online_nodate] pour des actions répétitives (par exemple récupérer des documents en masse). En supposant qu'une journée de travail est composée de huit heures, que chaque document
prend 30 secondes à télécharger et qu'il y a un nombre de documents suffisant pour au moins une journée, le téléchargement d'un document est payé entre
0.004$ et 0.005$. Avec de telles sommes, une nouvelle catégorie de précarité est ouverte.

De telles plateformes sont qui plus est perverses; les *turkers*[^6] dépendent de ce maigre revenu pour survivre. Elles ne sont pas toujours en mesure
de quitter leur précarité et éprouvent donc une grande difficulté à se séparer de ces plateformes.

Soutenir de telles plateformes est amoral selon certains, qui parlent même "d'esclavage moderne" [@soyez_turc_nodate]. Un tel salaire représente environ 50% du plus bas salaire minimum en Europe. [@noauthor_monthly_nodate]. La plateforme d'Amazon n'est qu'un exemple parmi d'autres : de tels ateliers de misère similaires à _Mechanical Turk_ existent par dizaines. D'autres services, utiles au scraping, proposent la résolution de captcha[^7] par des humains ($0.001\$$ par captcha) dans des pays pour la plupart pauvres.

\cimg{figs/anticaptcha-stats.png}{scale=1.2}{Statistique des origines des travailleurs d'un service similaire à Mechanical Turk nommé Anti Captcha}{Source : tiré de \url{https://anti-captcha.com/}, ref. URL02}

À l'inverse d'un framework, l'utilisation d'un service tiers pose donc une question morale: il n'y a aucune façon de savoir comment un logiciel
conçu par un tiers fonctionne. Dès lors, on ignore s'il y a utilisation de plateformes telles que celles citées plus haut.

L'utilisation d'un framework n'évite naturellement pas d'éviter d'être amoral. Toutefois, avoir un contrôle total du comportement de
l'application permet d'éviter l'utilisation accidentelle d'une plateforme exploitant des êtres humains.

[^6]: Les travailleurs de cette plateforme.
[^7]: Un système permettant de différencier une machine d'un humain en demandant par exemple de faire une addition ou lire du texte

### Comparaison légale

Dans les analyses faites dans le cadre de ce travail, aucun service quel qu'il soit n'a semblé violer la loi. Toutefois, certaines pratiques douteuses sont
ressorties lors des recherches, en particulier du côté des fournisseurs de service (+SAAS_a).
Par exemple, certains services proposent la possibilité de récupérer des masses de données importantes en changeant régulièrement d'adresse IP.
Cette technique permet d'éviter d'être bloqué hors du service. De cette façon il n'est plus possible pour l'hébergeur de bloquer un client accaparant la
bande passante de son service. Il y a un problème de fair-play en utilisant ce genre de logiciel.
On peut aussi noter l'utilisation de services de résolution de captcha, dont nous parlions plus haut. Outre l'aspect amoral de sous-payer des travailleurs
dans des pays dont la plupart sont en difficulté, l'aspect légal de contourner une protection est tout à fait douteux. C'est toutefois un sujet à
controverse. L'avocate Jennifer Granick dit, en parlant des captchas : _"Technologically and legally captchas can be thought of as
nothing more than a speed bump as opposed to a barrier"_ ("Techniquement et légalement, les captchas peuvent être compris comme un simple dos-d'âne et non comme une barrière") [@zetter_is_2010].
Certains systèmes particulièrement perfectionnés sont même capables de simuler un comportement humain [@zetter_is_2010].

Employer des techniques douteuses n'est pas puni par la loi mais peut être vu du public comme socialement inacceptable[@soyez_turc_nodate]; si une entreprise dépendant de sa renommée utilisait de
telles techniques (et que cela se venait à s'apprendre), cela pourrait nuire à leur image de marque.

La question légale du scraping est complexe. C'est un sujet décrié par les grandes entreprises ne souhaitant pas voir "leurs" données s'échapper [@bode_court_2019], mais qui semble commencer à être réglementé [@igor_us_2018]. La règle d'or semble être de faire preuve de bon sens en ne causant aucun tort
à l'entreprise fournissant des données[^8]. Pour pouvoir le vérifier, un contrôle total de l'application est nécessaire, ce qui est uniquement possible avec un framework.

[^8]: Ne pas faire preuve de fair-play, comme nous en parlions plus haut, est un exemple d'une entreprise ne faisant pas usage du bon sens.

## Points communs

Que l'on parle de scraper ou de (+SAAS_a), les deux méthodes utilisent des systèmes tout à fait similaires. C'est ceux que nous allons analyser ici.

### XPath

Chaque scraper simule les actions d'un humain : cliquer sur tel lien, remplir tel champ, etc. Il est nécessaire de préciser où cliquer : c'est le rôle de XPath. Il permet de traverser la structure d'un document (+XML_a) (comme une page (+HTML_a)) et de se "diriger" vers un ou plusieurs éléments d'une page. Une expression XPath ressemble par exemple à ceci : `//div[contains(@class, "entete")]`. Les structures en HTML étant répétitives et prévisibles, on peut par exemple récolter grâce à une seule expression XPath l'intégralité des articles d'une page.

La très grande majorité des systèmes utilisent XPath car il permet de se rendre sur un élément simplement et de façon très rapide.

Prenons l'exemple de la FAO Genève.

\cimg{figs/fao-redacted.jpg}{scale=.25}{Capture d'écran du 25 mars 2020 de la FAO Genève}{Source : tiré de FAO Genève }

On souhaite récupérer les versions PDF de chacune des publications, encadrés dans la figure 1.3. Les boutons "Version PDF Imprimable" étant pour chaque publication au même endroit et du même style, on peut poser une XPath permettant de récupérer l'adresse de chaque document PDF.
La XPath suivante permet, en l'occurrence, la récupération de tous les documents PDF sur une page de la FAO Genève : `//*[contains(@class, "fao-avis")]/div[3]/div[2]/p/a/@href`. La première partie (chaque partie étant définie par les barres obliques) cherche toute structure étant désignée la classe "fao-avis", qui correspond à une entrée dans la FAO. Puis, l'expression se dirige à l'intérieur de chaque structure pour y trouver le lien contenant le PDF. Le `@href` permet de récupérer seulement l'URL vers le PDF.

### Navigateur

Pour scraper un site, il faut un navigateur permettant d'aller d'une page à une autre. Les différentes solutions utilisées n'utilisent pas toutes le même navigateur, mais la méthode utilisée semble être relativement la même : le navigateur démarré est contrôlé par le système l'ayant démarré. De cette façon, ce n'est pas un humain qui contrôle sur quoi cliquer mais des instructions envoyées par le programme. Avec une telle méthode, un utilisateur et un scraper sont difficilement distinguables, les deux utilisant le même point d'entrée pour se connecter à un site web.

### Accélération

Les frameworks ou les (+SAAS_a) utilisent différentes méthodes pour accélérer la récupération de documents, cependant la plus populaire semble être le multiprocessing. Le principe du multiprocessing consiste à démarrer plusieurs fois le même processus, pour pouvoir effectuer une série de tâches en parallèle. C'est une alternative au multithreading, aussi utilisé entre autres pour l'accélération de longues tâches.

## Bilan

Le choix d'un logiciel de scraping n'est pas évident; il demande une réflexion certaine afin de ne pas faire les mêmes erreurs (morales, légales, etc.) que d'autres. Dépendamment entre autres des documents à télécharger, de la forme juridique de l'utilisateur du scraper[^9] et de son budget, chaque solution se vaut.
Peu importe la solution choisie, une vigilance accrue doit être prise. Respecter les règles, quelles qu'elles soient, est indispensable. Les services de
scraping étant de façon générale mal vus par les entreprises, elles n'ont pas hésité (et n'hésitent pas) à saisir la justice pour faire arrêter le scraping [@rummler_facebook_nodate] [@schaal_ryanair_2018] de leur site.

Les frameworks ne sont pas parfaits : leur principal désavantage est leur complexité variable, les rendant inutilisables pour les usagers n'étant pas familiers avec la programmation ou l'informatique en général. Toutefois, ils permettent un contrôle accru de la récupération des données, ce qui permet
d'éviter les problèmes cités plus haut.

Que l'on prenne un framework ou un (+SAAS_a), ces deux solutions n'ont qu'une seule différente notable : leur prix. Les technologies sont fondamentalement les mêmes, peu importe le nombre de fonctionnalités disponibles.

Une solution, qui en l'occurrence est la solution que nous allons étudier ici, est la création d'un framework permettant de simplifier l'utilisation d'un
système de scraping. De cette façon, un utilisateur "standard" averti serait en mesure de récupérer des informations de n'importe quel site rapidement.
Nous allons donc étudier la conception d'un tel système et ce qu'il implique.

[^9]: Logiciel permettant la récupération en masse de documents

\pagebreak 